      subroutine bessel(l,nR,dR,mu,Bl,Hl)
      implicit real*8(a-h,o-z)
      real*8    mu,Bl(0:nR),Hl(0:nR),iBl,iHl
      Bl(0)=iBl(l,0.D0)
      do iR=1,nR
         x=mu*iR*dR
         Bl(iR)=iBl(l,x)
         Hl(iR)=iHl(l,x)
      enddo
      return
      end

      real*8 function iBl(l,x)
      implicit real*8 (a-h,o-z)
      parameter (eps=1.D-8)
      real*8    B(0:50)
      common /clebma/faclog(0:499)
      if (x.le.0.5*l) then
         s=1.D0
         t=1.D0
         m=0
         do while (m.lt.200.and.t/s.ge.eps)
            m=m+1
            t=t/((2*(l+m)+1)*2.D0*m)*x**2
            s=s+t
         enddo
         iBl=s*((2.D0*x)**l)*exp(faclog(l)-faclog(2*l+1))
      else
         ex=exp(x)
         B(0)=0.5D0*(ex-1.D0/ex)/x
         if (l.gt.0)
     &   B(1)=0.5D0*((1.D0-1.D0/x)*ex+(1.D0+1.D0/x)/ex)/x
         do l1=2,l
            B(l1)=B(l1-2)-(2*l1-1)/x*B(l1-1)
         enddo
         iBl=B(l)
      endif
      return
      end

      real*8 function iHl(l,x)
      implicit real*8(a-h,o-z)
      c=1.D0
      s=1.D0
      do m=1,l
         c=c*(l+m)*(l-m+1.D0)/(2.D0*m*x)
         s=s+c
      enddo
      iHl=s*exp(-x)/x
      return
      end
