#! /bin/sh

/home/common/dw81/dw81 <<EOF | ./extract > `basename $0 .sh`.dat
    1
   50  120  0.1
ECH
    2
 61.       0.0       60.

    3
 3 4 0
           8845.75   4502.23
           2570.57   7645.04
 0.25      0.25      0.25
          -2746.30  -1530.68
            131.554 -1506.95
 0.40      0.40      0.40
            -10.50    -10.50
             31.50      3.50
 1.414     1.414     1.414
    4
 1 0
 190.    1.      0.      12.     6.      1.2                     1.
   1.    -11.0   1.20    0.69            -14.0   1.17    0.59
-107.    -15.6   0.90    0.50
    5
 1 0
 -4.2    1.      1.      12.     5.      1.2                     1.     -12.59
   1.    -11.0   1.20    0.69            -14.0   1.17    0.59
-107.    -15.6   0.90    0.50
    6
 6 0
SM
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.64 
 0.      0.      1.      1.
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.64 
 0.      1.      3.      1.
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.64 
 0.      1.      1.      1.
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.64 
 0.      2.      5.      1.
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.64 
 0.      2.      3.      1.
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.64 
 1.      0.      1.      1.
    7
    1   -1    7
NON RAY
 1.0       1.0
    2    1 -0.01738
    3    1  0.01087
    4    2 -0.07509
    5    2 -0.02600
    5    3 -0.01347
    6    2 -0.00801
    6    3  0.44856
    8
12C(n,p)12B[4.5;1-] 190MeV, Real Central
 0
    3
 2 4 0
           1351.24   8481.48
            538.80   -465.65 
 0.25      0.25      0.25
           -444.157 -2752.04
           -737.824  -310.545
 0.40      0.40      0.40
    8
12C(n,p)12B[4.5;1-] 190MeV, Imag Central
 0
    3
 2 4 0
                              -5548.35
                              -3583.18
 0.25      0.25      0.25      0.25
                               -398.098
                               -288.049
 0.40      0.40      0.40      0.40
    8
12C(n,p)12B[4.5;1-] 190MeV, Real LS
 0
    3
 2 4 0
                              -3335.93
                               -609.087
 0.25      0.25      0.25      0.25
                                943.863
                                 89.9987
 0.40      0.40      0.40      0.40
    8
12C(n,p)12B[4.5;1-] 190MeV, Imag LS
 0
    3
 4 4 0
                                        23522.9
                                         1546.53
 0.25      0.25      0.25      0.25      0.25
                                        -4969.30
                                         -135.162
 0.40      0.40      0.40      0.40      0.40
                                          960.072
                                           55.922 
 0.55      0.55      0.55      0.55      0.55
                                         -174.041
                                           11.7774
 0.70      0.70      0.70      0.70      0.70
    8
12C(n,p)12B[4.5;1-] 190MeV, Real Tensor
 0
    3
 4 4 0
                                        11239.2
                                        -8333.57
 0.25      0.25      0.25      0.25      0.25
                                        -2349.63
                                         1448.87
 0.40      0.40      0.40      0.40      0.40
                                          435.747
                                         -265.783
 0.55      0.55      0.55      0.55      0.55
                                         -47.8589 
                                          29.5019
 0.70      0.70      0.70      0.70      0.70
    8
12C(n,p)12B[4.5;1-] 190MeV, Imag Tensor
 0
    9
    2 1.   0.
    4 0.   1.
    6 1.   0.
    8 0.   1.
   10 1.   0.
   12 0.   1.
   -1
EOF
rm fort.31
exit

! Warburton & Brown
    2    1 -0.01738
    3    1  0.01087
    4    2 -0.07509
    5    2 -0.02600
    5    3 -0.01347
    6    2  0.00801
    6    3 -0.44856

! Millner & Kurath (Brady)
    2    1 -0.0524 
    3    1 -0.0341 
    4    2 -0.0743 
    5    2 -0.0171 
    5    3  0.0024 
    6    2 -0.1079 
    6    3 -0.6016 
