      implicit real*8(a-h,o-z)
      include 'parameter.f'
      real*8     mu,mp
      parameter (mu=931.494*(1.007275+1.008665)/2.)
      parameter (hc=197.32705, e2=hc/137.036, mp=2.D0, Zp=2.D0)
      complex*16 pUopt0,chi(0:nRmax,0:Lmax0)
      character fmt*20
      real*8  rs(nRmax)
      call inirac
      read(5,*) ismato,ipotou,iwfnou
      read(5,*) nR,dR,Jmax,lsmax
      read(5,*) A,Z,Elab
      dummy=dble(pUopt0(A,Z,mp,Zp/2.D0,0))
      read(5,*) nrs,(rs(irs),irs=1,nrs)
      Ecm=Elab*A/(mp+A)
      amu=mp*A/(mp+A)
      fk=sqrt(2.D0*mu*amu*Ecm)/hc
      eta=Zp*Z*e2*mu*amu/(hc**2*fk)
c     fk=sqrt(amu*Ecm*0.048196758)        ! to be compatible with TWOFNR
c     eta=Zp*Z*sqrt(amu/Ecm)*0.15805086   ! to be compatible with TWOFNR
      write(0,*) 'Ecm,fk,eta=',Ecm,fk,eta
      call adiaou(ismato,ipotou)
      do i=1,nrs
         write(0,*) 'rs=',rs(i)
         write(fmt,'(A,I1,A)') '(A,F',int(rs(i)/10.)+4,'.2,A)'
         if (ipotou.ne.0)write(6,fmt) 'cat <<EOF > ulmbd-',rs(i),'.tdr'
         if (ismato.ne.0)write(6,fmt) 'cat <<EOF > adiawf-',rs(i),'.tdr'
         call adiawf(rs(i),lsmax,nR,dR,Jmax,fk,eta,chi)
         if (ipotou+ismato.ne.0) write(6,'(A)') 'EOF'
         if (iwfnou.ne.0) then
            do JS=0,Jmax,5
               write(fmt,'(A,I1,A)')
     &              '(A,I2.2,A,F',int(rs(i)/10.)+4,'.2,A)'
               write(6,fmt) 'cat <<EOF > adwfn-',JS,'-',rs(i),'.tdr'
               write(6,'(0pF5.2,1p2E11.3)') (iR*dR,chi(iR,JS),iR=0,nR)
               write(6,'(A)') 'EOF'
            enddo
         endif
      enddo
      end
