#! /bin/sh

/home/common/dw81/dw81 <<EOF | tee `basename $0 .sh`.out
    1
   50  120  0.1
ECH
    2
 41.       0.0       40.

    3
 3 4 1
           9473.99   5957.51
          -2541.98   7864.82
 0.25      0.25      0.25
          -2920.63  -1978.48
            782.429 -1568.8
 0.40      0.40      0.40
            -10.50    -10.50
             31.50      3.50
 1.414     1.414     1.414
    4
 1 0
 160.    1.      0.      12.     6.      1.2                     1.
   1.    -13.5   1.20    0.67            -12.2   1.24    0.62
-107.    -17.0   0.90    0.50
    5
 1 0
   0.    1.      1.      12.     5.      1.2                     1.     -12.59
   1.    -13.5   1.20    0.67            -12.2   1.24    0.62
-107.    -17.0   0.90    0.50
    6
 4 0
SM
 0 0
-15.96   1.      1.      11.     5.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      3.      1.
 0 0
-13.77   1.      1.      11.     5.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      1.      1.
 0 0
 -5.12   1.      0.      11.     6.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      3.      1.
 0 0
 -3.37   1.      0.      11.     6.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      1.      1.
    7
    1    1    4
NON RAY
 1.0       1.0
    3    1 0.08252
    4    1 0.69065
    3    2 0.32697
    4    2 0.07332
    8
12C(n,p)12B[gnd;1+] 160MeV, Real Central
 0
    3
 2 4 0
           1128.01   9742.99
           2871.99    468.991
 0.25      0.25      0.25
           -406.183 -3135.50
           -983.301  -440.472
 0.40      0.40      0.40
    8
12C(n,p)12B[gnd;1+] 160MeV, Imag Central
 0
    3
 4 4 0
                                        38434.3
                                         1658.08
 0.25      0.25      0.25      0.25      0.25
                                        -6945.77
                                         -118.309
 0.40      0.40      0.40      0.40      0.40
                                         1255.03
                                           46.6086
 0.55      0.55      0.55      0.55      0.55
                                         -202.390
                                           14.0732
 0.70      0.70      0.70      0.70      0.70
    8
12C(n,p)12B[gnd;1+] 160MeV, Real Tensor
 0
    3
 4 4 0
                                        13927.5
                                        -8646.91
 0.25      0.25      0.25      0.25      0.25
                                        -2547.52
                                         1357.98
 0.40      0.40      0.40      0.40      0.40
                                          422.819
                                         -225.213
 0.55      0.55      0.55      0.55      0.55
                                          -42.7937
                                           23.3058
 0.70      0.70      0.70      0.70      0.70
    8
12C(n,p)12B[gnd;1+] 160MeV, Imag Tensor
 0
    9
    2 1.
    4 0.   1.
    6 1.
    8 0.   1.
   -1
    1 1.
    3 0.   1.
    5 1.
    7 0.   1.
   -1
    2 1.
    4 0.   1.
   -1
    1 1.
    3 0.   1.
   -1
EOF
rm fort.31
exit

! Harmonic Oscillator
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.812
 0.      1.      3.      1.
 0 0
 0.0     1.      1.      11.     5.      1.3                     1.
 -32.            1.812
 0.      1.      1.      1.
 0 0
 0.0     1.      0.      11.     6.      1.3                     1.
 -32.            1.812
 0.      1.      3.      1.
 0 0
 0.0     1.      0.      11.     6.      1.3                     1.
 -32.            1.812
 0.      1.      1.      1.

! Woods Saxon
 0 0
-15.96   1.      1.      11.     5.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      3.      1.
 0 0
-13.77   1.      1.      11.     5.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      1.      1.
 0 0
 -5.12   1.      0.      11.     6.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      3.      1.
 0 0
 -3.37   1.      0.      11.     6.      1.3                     1.
   1.   -1.      1.25    0.65
-107.                                    -24.    1.25    0.65
 0.      1.      1.      1.

! Muto's OBDM
    3    1 0.08252
    4    1 0.69065
    3    2 0.32697
    4    2 0.07332

! Brady's OBDM
    3    1 0.0834
    4    1 0.7527
    3    2 0.3702
    4    2 0.0634
