#! /bin/sh

grep -v '^ *#' <<EOF | test-ffexpd
 1  1  0  0  / IB,j,lp,la
 12  6  / A,Z
# two-body effective interaction
# s t x r n (V(i),mu(i),i=1,n)! r:1=re,2=im, x:1=Yukawa,2=delta,3=r^2*Yukawa
  1 1 1 1 3  3.5  0.7143  257.05  2.5  -631.79  4.0 / real central direct
  1 1 1 2 2               132.37  2.5  -470.63  4.0 / imag central direct
  1 1 3 1 4  54.1158 1.429  -302.105 1.818  1706.87  2.5  -9194.06 4.0
  1 1 3 2 4  16.5249 1.429  -162.008 1.818   976.375 2.5  -5643.60 4.0
  1 1 2 1 1  -44.38  0 / real central exchange
  1 1 2 2 1   -3.53  0 / imag central exchange
 -1 /
# single-particle potential parameters
 1.25  0.65  6  1.3  / r0, a, VLS, r0C
# single-particle orbit definition
 'p0s1/2'   V   50.00  34.00  / orbit, search-param, V0, B.E.
 'p0p3/2'   V   50.00  15.96  / orbit, search-param, V0, B.E.
 'p0p1/2'   V   50.00  13.77  / orbit, search-param, V0, B.E.
 'n0p3/2'   V   50.00   5.12  / orbit, search-param, V0, B.E.
 'n0p1/2'   V   50.00   3.37  / orbit, search-param, V0, B.E.
 'n1s1/2'   V   50.00   1.85  / orbit, search-param, V0, B.E.
 'n0d5/2'   V   50.00   1.095 / orbit, search-param, V0, B.E.
 'n0d3/2'   V   50.00   0.01  / orbit, search-param, V0, B.E.
 'end' /
# spectroscopic-amplitude for p-h configurations
 'p0p3/2' 'n0p3/2'  0.08252  / hole, particle, spectroscopic amplitude
 'p0p3/2' 'n0p1/2'  0.69065  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p3/2'  0.32697  / hole, particle, spectroscopic amplitude
 'p0p1/2' 'n0p1/2'  0.07332  / hole, particle, spectroscopic amplitude
 'end' /
# rs
 21 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20
EOF
exit
