      parameter (maxkey=500)
      character key(maxkey)*10,value(maxkey)*10
      character line*80,word(10)*10
      equivalence (line,word)
      integer*4 nkey
      data      nkey/0/

      if (iargc().lt.1) stop 2
      call getarg(1,line)
      open(2,file=line,status='old')

      do while (.true.)
         read(5,'(A)',end=20000) line
         if (index('!#',line(1:1)).eq.0) then
            nkey=nkey+1
            call trim(word(1),key(nkey))
            value(nkey)=word(2)
         endif
      enddo
20000 continue
c     write(0,*) 'nkey=',nkey
c     write(0,*) (key(i),value(i),i=1,nkey)
      do while (.true.)
         read(2,'(A)',end=30000) line
         i=min(index(line//'c','c'),index(line//'C','C'))
         if (i.ne.len(line)+1.and.line(:i-1).eq.' ') goto 28000
         i=index(line,'!')
         if (i.ne.0) line(i:)=' '
         do j=1,8
            call trim(word(j),word(10))
	    do k=1,nkey
               if (word(10).eq.key(k)) word(j)=value(k)
	    enddo
         enddo
         write(6,'(A)') line
28000 enddo
30000 close(2)
      close(6)
      stop
      end

      subroutine trim(s1,s2)
      character s1*(*),s2*(*)
      n=0
      do i=1,len(s1)
         if (s1(i:i).ne.' ') then
            n=n+1
            if (n.gt.len(s2)) return
            s2(n:n)=s1(i:i)
         endif
      enddo
      s2(n+1:)=' '
      return
      end
