      implicit real*8(a-h,o-z)
      parameter (maxR=5)
      integer*4 n(2)
      real*8    V(maxR,4,2),R(maxR,2),V0(maxR),V2(maxR),Vx(maxR),mu,mp
      character title*72
      parameter (mu=931.494, mp=1.008665*mu, hc=197.329)
      pi=atan(1.D0)*4.D0
      do while (.true.)
         read(5,'(A)',end=80000) title
         l=len(title)
         do while (l.gt.0.and.title(l:l).eq.' ')
            l=l-1
         enddo
         read(5,*,end=90000) Tp
         p=sqrt((Tp+mp)**2-mp**2)
         fk=p/hc
         do k=1,2
            read(5,*,end=90000) n(k),(R(i,k),i=1,n(k))
            do j=1,6-2*k
               read(5,*,end=90000) (V(i,j,k),i=1,n(k))
            enddo
         enddo
         Vt=0.
         do i=1,n(1)
            V0(i)=(-V(i,1,1)-V(i,2,1)+V(i,3,1)+V(i,4,1))/16.
            Vx(i)=(-V(i,1,1)-V(i,2,1)-V(i,3,1)-V(i,4,1))/16.
            Vt=Vt+4.D0*pi*Vx(i)*R(i,1)**3/(1.D0+(fk*R(i,1))**2)
         enddo
         do i=1,n(2)
            V2(i)=(-V(i,1,2)+V(i,2,2))/4.
         enddo
         write(6,'(/A/)') title(:l)
         write(6,'(A)') '# central V11 direct   (Yukawa)'
         write(6,'(I2,5(1pE13.5,0pF5.2))')
     &        n(1),(V0(i),1.D0/R(i,1),i=n(1),1,-1)
         write(6,'(A)') '# tensor  V11 direct   (r^2*Yukawa)'
         write(6,'(I2,5(1pE13.5,0pF5.2))')
     &        n(2),(V2(i),1.D0/R(i,2),i=n(2),1,-1)
         write(6,'(A)') '# central V11 exchange (delta)'
         write(6,'(I2,5(1pE13.5,0pF5.2))') 1,Vt,0
      enddo
80000 stop
90000 stop 'error'
      end
